## milou 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(Milou)
set(PROJECT_VERSION "5.14.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Declarative Service Plasma Runner)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(GenerateExportHeader)

# find_package(KdepimLibs)
# set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "KDE PIM Libraries"
#                        URL "http://www.kde.org"
#                        TYPE REQUIRED PURPOSE "Support for Email previews")

add_subdirectory(lib)
add_subdirectory(plasmoid)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
milou (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:57:00 +0800

milou (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:01 -0300

milou (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:02 -0300

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5runner-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/milou
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/milou.git

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5, plasma-workspace (<< 4:5.14)
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.15.4

=== debian/changelog ===
milou (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:14 +0100

milou (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:38 +0000

milou (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:14:29 +0000

milou (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:10 +0000

milou (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:45 +0000

milou (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:58 +0000

milou (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:37 +0000

milou (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:41 +0000

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5runner-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou

Package: milou
Architecture: any
Depends: plasma-framework (>= 5.54.0~), ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.16.5

=== debian/changelog ===
milou (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:24:53 +0100

milou (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:39 +0100

milou (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:57 +0100

milou (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:58 +0100

milou (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:35 +0100

milou (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:36 +0100

milou (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:44 +0100

milou (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5declarative-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5runner-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5declarative-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5runner-dev (>= 5.58.0~),
+               libkf5service-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),

## milou 5.18.3

=== debian/changelog ===
milou (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:32 +0000

milou (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:41 +0000

milou (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:30 +0000

milou (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:49 +0000

milou (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:45 +0000

milou (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:21 +0000

milou (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:37 +0000

milou (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:24 +0000

milou (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New build depend on libkf5itemmodels-dev
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:38 +0000

## milou 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(Milou)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Declarative ItemModels Service Plasma Runner)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(GenerateExportHeader)
include(KDEClangFormat)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
# find_package(KdepimLibs)
# set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "KDE PIM Libraries"
#                        URL "http://www.kde.org"
#                        TYPE REQUIRED PURPOSE "Support for Email previews")

add_subdirectory(lib)
add_subdirectory(plasmoid)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
milou (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:05 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='milou-dbg (<= 4:5.5.5-1~~)'

## milou 5.18.5

=== debian/changelog ===
milou (4:5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5declarative-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5plasma-dev (>= 5.58.0~),
-               libkf5runner-dev (>= 5.58.0~),
-               libkf5service-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               libkf5coreaddons-dev (>= 5.66.0~),
+               libkf5declarative-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5itemmodels-dev (>= 5.66.0~),
+               libkf5plasma-dev (>= 5.66.0~),
+               libkf5runner-dev (>= 5.66.0~),
+               libkf5service-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),

## milou 5.19.5

=== debian/changelog ===
milou (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:25 +0100

milou (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:47 +0100

milou (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:56 +0100

milou (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:10 +0100

milou (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5itemmodels-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5runner-dev (>= 5.66.0~),
-               libkf5service-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5runner-dev (>= 5.70.0~),
+               libkf5service-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.9.0~),
                qtdeclarative5-dev (>= 5.9.0~),

## milou 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(Milou)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -25,7 +25,7 @@
 endif()
 # find_package(KdepimLibs)
 # set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "KDE PIM Libraries"
-#                        URL "http://www.kde.org"
+#                        URL "https://www.kde.org"
 #                        TYPE REQUIRED PURPOSE "Support for Email previews")
 
 add_subdirectory(lib)

=== lib/test/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(modeltest test.cpp)
ecm_mark_as_test(modeltest)

target_link_libraries(modeltest
  Qt5::Core
  Qt5::Test
  Qt5::Gui
  milou
)

add_executable(widgettest widgettest.cpp)
ecm_mark_as_test(widgettest)

target_link_libraries(widgettest
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  milou
)

add_executable(previewtest previewtest.cpp)
ecm_mark_as_test(previewtest)

target_link_libraries(previewtest
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  milou
)

=== debian/changelog ===
milou (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

milou (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

milou (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

milou (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

milou (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:41 +0900

milou (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:53:30 +0900

milou (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed injection of linker flags.
  * Add myself to Uploaders.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Drop unneeded breaks and replaces.
  * Update upstream metadata.
  * Enable hardening for builds.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 00:16:51 +0200

milou (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 22:04:10 +0100

milou (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - add libkf5itemmodels-dev, new requirement
    - remove unused qtscript5-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright.
  * Drop the migration from milou-dbg, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 12:02:23 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5itemmodels-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5runner-dev (>= 5.74.0~),
               libkf5service-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/milou
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/milou
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/milou.git
Rules-Requires-Root: no

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Description: Dedicated search plasmoid
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.21.4

=== debian/changelog ===
milou (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:08 +0100

milou (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:15 +0000

milou (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:04 +0000

milou (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:36 +0000

milou (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:18 +0000

milou (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:21 +0000

## milou 5.22.5

=== debian/changelog ===
milou (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:48:46 +0200

milou (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:30 +0100

milou (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:55 +0100

milou (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:54:59 +0100

milou (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:33 +0100

milou (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:41 +0100

milou (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:04 +0100

milou (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5itemmodels-dev (>= 5.74.0~),
-               libkf5plasma-dev (>= 5.74.0~),
-               libkf5runner-dev (>= 5.74.0~),
-               libkf5service-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5itemmodels-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5runner-dev (>= 5.82.0~),
+               libkf5service-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),

## milou 5.24.4

=== lib/qml/CMakeLists.txt ===

set (plugin_SRCS
    qmlplugins.cpp
)

add_library (milouqmlplugin SHARED ${plugin_SRCS})

target_link_libraries (milouqmlplugin
    Qt::Qml

    milou
)

install (TARGETS milouqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/milou)
install (FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/milou)
install (FILES ResultDelegate.qml ResultsView.qml globals.js
               ResultsListViewDelegate.qml ResultsListView.qml
         DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/milou)

=== lib/test/CMakeLists.txt ===
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_executable(modeltest test.cpp)
ecm_mark_as_test(modeltest)

target_link_libraries(modeltest
  Qt::Core
  Qt::Test
  Qt::Gui
  milou
)

add_executable(widgettest widgettest.cpp)
ecm_mark_as_test(widgettest)

target_link_libraries(widgettest
  Qt::Core
  Qt::Gui
  Qt::Widgets
  milou
)

=== debian/changelog ===
milou (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:50 +0100

milou (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:22 +0000

milou (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:27 +0000

milou (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:51 +0000

milou (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:02 +0000

milou (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:27 +0000

milou (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:15 +0000

milou (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:22 +0000

milou (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:20 +0000

milou (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:40:18 +0900

milou (4:5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

milou (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

milou (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:27 +0200

milou (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:05 +0200

milou (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:25 +0200

milou (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:42 +0900

milou (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

milou (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

milou (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

## milou 5.24.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Milou)
set(PROJECT_VERSION "5.24.6")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Qml Quick Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons I18n Declarative ItemModels Service Plasma Runner)

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)

add_definitions(-DQT_NO_FOREACH -DQT_NO_KEYWORDS)

add_subdirectory(lib)
add_subdirectory(plasmoid)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
milou (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:37 +0100

=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5runner-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/milou
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Rules-Requires-Root: no

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Description: Dedicated search plasmoid
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.25.5

=== debian/changelog ===
milou (4:5.25.5-0xneon+20.04+focal+release+build49) focal; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 16:19:29 +0000

milou (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:40:52 +0000

milou (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:11:55 +0000

milou (4:5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:04:14 +0000

milou (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 13:05:19 +0000

milou (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:41:54 +0000

milou (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:24:10 +0000

milou (4:5.24.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Mar 2022 13:55:16 +0000

milou (4:5.24.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Mar 2022 15:42:59 +0000

milou (4:5.24.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Feb 2022 14:00:01 +0000

milou (4:5.24.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Feb 2022 17:06:57 +0000

milou (4:5.23.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jan 2022 10:35:06 +0000

milou (4:5.23.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Nov 2021 14:26:18 +0000

milou (4:5.23.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Nov 2021 17:49:26 +0000

milou (4:5.23.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Oct 2021 14:06:30 +0000

milou (4:5.23.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Oct 2021 15:33:33 +0000

milou (4:5.23.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Oct 2021 10:21:33 +0000

milou (4:5.22.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 13:35:09 +0000

milou (4:5.22.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jul 2021 12:34:16 +0000

milou (4:5.22.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jul 2021 11:50:45 +0000

milou (4:5.22.2.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 19:48:10 +0000

milou (4:5.22.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 17:55:27 +0000

milou (4:5.22.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jun 2021 11:44:36 +0000

milou (4:5.22.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Jun 2021 12:42:56 +0000

milou (4:5.21.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 May 2021 15:55:28 +0000

milou (4:5.21.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Apr 2021 13:40:54 +0000

milou (4:5.21.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Mar 2021 13:36:14 +0000

milou (4:5.21.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Mar 2021 17:00:33 +0000

milou (4:5.21.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Feb 2021 20:53:52 +0000

milou (4:5.21.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Feb 2021 16:15:56 +0000

milou (4:5.20.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jan 2021 15:29:28 +0000

milou (4:5.20.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Dec 2020 15:20:00 +0000

milou (4:5.20.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Nov 2020 21:15:59 +0000

milou (4:5.20.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Oct 2020 16:30:06 +0000

milou (4:5.20.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Oct 2020 13:06:44 +0000

milou (4:5.20.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Oct 2020 16:42:38 +0000

milou (4:5.19.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Sep 2020 18:21:09 +0000

milou (4:5.19.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jul 2020 14:15:59 +0000

milou (4:5.19.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jul 2020 13:27:22 +0000

milou (4:5.19.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Jun 2020 13:29:30 +0000

milou (4:5.19.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jun 2020 14:21:28 +0000

milou (4:5.19.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Jun 2020 11:35:34 +0000

milou (4:5.18.5-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 May 2020 16:18:33 +0000

milou (4:5.18.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Mar 2020 14:50:24 +0000

milou (4:5.18.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2020 17:19:42 +0000

milou (4:5.18.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Feb 2020 13:08:03 +0000

milou (4:5.18.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Feb 2020 22:38:30 +0000

milou (4:5.17.5-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: milou
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5itemmodels-dev (>= 5.50.0~),
               libkf5plasma-dev (>= 5.50.0~),
               libkf5runner-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.9.0~)
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/milou
Vcs-Git: https://invent.kde.org/neon/kde/milou.git
Vcs-Browser: https://invent.kde.org/neon/kde/milou
Maintainer: Neon CI <neon@kde.org>

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Breaks: plasma-widget-milou-kf5, plasma-workspace (<< 4:5.14)
Replaces: plasma-widget-milou-kf5
Description: Dedicated search plasmoid.
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.

## milou 5.27.4

=== debian/changelog ===
milou (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:26 +0100

milou (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:55 +0000

milou (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:40 +0000

milou (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:22 +0000

milou (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:25 +0000

milou (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:19 +0000

milou (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:05:19 +0000

milou (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 15:20:26 +0000

milou (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:00:19 +0100

milou (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:25 +0000

milou (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:43:08 +0100

milou (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:59 +0000

milou (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:29 +0200

milou (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:10:28 +0000

milou (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:02 +0200

milou (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:21 +0200

milou (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:57 +0200

milou (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:45 +0100

milou (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 12:39:55 +0100

milou (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:31:10 +0200

milou (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:50 +0100

milou (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:41 +0200

milou (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:44:27 +0100

milou (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:17:26 +0100

milou (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:29 +0200

milou (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:47 +0100

milou (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:16 +0200

milou (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:06:24 +0100

milou (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:36:34 +0200

milou (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:41:01 +0100

milou (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:25 +0200

milou (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:49:06 +0100

milou (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:45:03 +0200

milou (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:46:32 +0100

milou (4:5.24.2-1) unstable; urgency=medium



=== debian/control ===
Source: milou
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/milou
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/milou
Rules-Requires-Root: no

Package: milou
Architecture: any
Depends: plasma-framework, ${misc:Depends}, ${shlibs:Depends}
Description: Dedicated search plasmoid
 Milou can also be used as an alternative to KRunner, and
 does provide application launching. The main difference
 is that it concentrates more on searching.
